summarylogtreecommitdiffstats
path: root/better-osu-skills.sh
diff options
context:
space:
mode:
authorzxp198210052023-12-13 12:52:10 +0800
committerzxp198210052023-12-13 12:52:10 +0800
commit603fdb627853bcf2abcb27ccbd73694bb49a7936 (patch)
tree7ae2ce7c97b7e86036349fb977ceb5d6679284be /better-osu-skills.sh
parent8000749b0725cf0e961fbf51a2fee646428c0ed3 (diff)
downloadaur-603fdb627853bcf2abcb27ccbd73694bb49a7936.tar.gz
fix errors
Diffstat (limited to 'better-osu-skills.sh')
-rw-r--r--better-osu-skills.sh17
1 files changed, 10 insertions, 7 deletions
diff --git a/better-osu-skills.sh b/better-osu-skills.sh
index c57bdfe0de96..2ec4412e5c4f 100644
--- a/better-osu-skills.sh
+++ b/better-osu-skills.sh
@@ -1,11 +1,14 @@
#!/bin/bash
-_ELECTRON=/usr/bin/electron11
-APPDIR="/usr/lib/better-osu-skills"
-export PATH="${APPDIR}:${PATH}"
-export LD_LIBRARY_PATH="${APPDIR}/lib:${APPDIR}/swiftshader:${LD_LIBRARY_PATH}"
-_ASAR="${APPDIR}/app.asar"
+set -e
+_APPDIR="/usr/lib/@appname@"
+export PATH="${_APPDIR}:${PATH}"
+export ELECTRON_IS_DEV=0
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+_ASAR="${_APPDIR}/@appasar@"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec ${_ELECTRON} ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
else
- exec ${_ELECTRON} ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
fi \ No newline at end of file